# Class TSKDirent

java.lang.Object
com.redhat.et.libguestfs.TSKDirent

public class TSKDirent extends Object
TSKDirent structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`tsk_atime_nsec`
`long`
`tsk_atime_sec`
`long`
`tsk_crtime_nsec`
`long`
`tsk_crtime_sec`
`long`
`tsk_ctime_nsec`
`long`
`tsk_ctime_sec`
`int`
`tsk_flags`
`long`
`tsk_inode`
`String`
`tsk_link`
`long`
`tsk_mtime_nsec`
`long`
`tsk_mtime_sec`
`String`
`tsk_name`
`long`
`tsk_nlink`
`long`
`tsk_size`
`long`
`tsk_spare1`
`char`
`tsk_type`

## Constructor Summary

Constructors
Constructor
Description
`TSKDirent()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tsk_inode

public long tsk_inode

### tsk_type

public char tsk_type

### tsk_size

public long tsk_size

### tsk_name

public String tsk_name

### tsk_flags

public int tsk_flags

### tsk_atime_sec

public long tsk_atime_sec

### tsk_atime_nsec

public long tsk_atime_nsec

### tsk_mtime_sec

public long tsk_mtime_sec

### tsk_mtime_nsec

public long tsk_mtime_nsec

### tsk_ctime_sec

public long tsk_ctime_sec

### tsk_ctime_nsec

public long tsk_ctime_nsec

### tsk_crtime_sec

public long tsk_crtime_sec

### tsk_crtime_nsec

public long tsk_crtime_nsec

### tsk_nlink

public long tsk_nlink

### tsk_link

public String tsk_link

### tsk_spare1

public long tsk_spare1

## Constructor Details

### TSKDirent

public TSKDirent()